      subroutine pgmver ( pgmstr )
      
c====>Begin Declarations in Module PGMVER   File pgmver.f

      implicit none

c-----Parameter statements

      character*(*)       pgmnam
      parameter          (pgmnam='FTU')

c-----Argument variables

      character*(*)       pgmstr

c-----Local variables

      character*32        rcsdat
      character*32        rcsrev

      integer             i, br, er, bd, ed, l

      data rcsdat       / '$Date: 2000/04/04 18:59:43 $' /
      data rcsrev       / '$Revision: 1.26 $' /

      save                rcsdat,rcsrev

c====>End Declarations in Module PGMVER   File pgmver.f

c-----Strip keywords...

      l = len ( rcsrev )
      do i = 1, l
        br = i
        if ( rcsrev(i:i) .eq. ':' ) go to 110
      end do
  110 br = min ( br + 1, l )
      if ( rcsrev(br:br) .eq. ' ' ) br = min ( br + 1, l )
      do i = br, l
        if ( rcsrev(i:i) .eq. '$' ) go to 130
        er = i
      end do
  130 if ( rcsrev(er:er) .eq. ' ' ) er = max ( er - 1, br )

      l = len ( rcsdat )
      do i = 1, l
        bd = i
        if ( rcsdat(i:i) .eq. ':' ) go to 210
      end do
  210 bd = min ( bd + 1, l )
      if ( rcsdat(bd:bd) .eq. ' ' ) bd = min ( bd + 1, l )
      do i = bd, l
        if ( rcsdat(i:i) .eq. '$' ) go to 230
        ed = i
      end do
  230 if ( rcsdat(ed:ed) .eq. ' ' ) ed = max ( ed - 1, bd )

      pgmstr = pgmnam // ' - Version ' // rcsrev(br:er) //
     &        ' (Last changed ' // rcsdat(bd:ed) // ')'

      return
      end
