      function check_adf_error ( message_prefix, error_number )
c -------------------------------------------------------------------------
c   Check ADF error message status:
c     - if an error occurred then display error message and return
c     - if no error occurred, reset the error flag to Common 
c       File status (0) and return
c -------------------------------------------------------------------------
c
      implicit none
c
c -------------------------------------------------------------------------
c
      logical        check_adf_error
      integer        error_number
      character*(*)  message_prefix
c
      character*80   error_message
c
c -------------------------------------------------------------------------
c
      check_adf_error = .false.
c
      if ( error_number > 0 ) then
         call adferr ( error_number, error_message )
         print *
         print *, trim ( message_prefix ),':  ', trim ( error_message )
         check_adf_error = .true.
      else
         error_number = 0
      end if
c
c -------------------------------------------------------------------------
c
      return
      end
